/*
 * Created on 05.07.2004
 */
package readaudio;

import javax.sound.sampled.*;
import java.io.*;

/**
 * @author jl
 */
public class ReadAudio {

	public static void main(String[] args) {
		try
		{
			File inFile = new File("C:\\WINDOWS\\Media\\Windows XP-Startvorgang.wav");
			AudioFileFormat aff = AudioSystem.getAudioFileFormat(inFile);
			AudioFormat af = aff.getFormat();
			if(af.isBigEndian())
				throw new Exception("no litte endian");
			if(af.getChannels() != 2)
				throw new Exception("no stereo file");
			if(af.getSampleSizeInBits() != 16)
				throw new Exception("no 16 bit file");
			
			AudioInputStream inStream = AudioSystem.getAudioInputStream(inFile);				
			byte[] buffer = new byte[1000];
			int numBytesRead = inStream.read(buffer);
			// reconstruct the left sample no. 42
			int lo = buffer[4*41];
			int hi = buffer[4*41+1];
			short v = (short)((hi << 8) | (lo & 0xFF));
			System.out.println(v);	
		}
		catch(Exception e)
		{
			throw new RuntimeException(e);
		}
	}
}
